View Issue Details

IDProjectCategoryView StatusLast Update
0011557LazarusLCLpublic2018-10-26 21:29
ReporterTargion Assigned ToMarc Weustink  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Target Version0.9.26Fixed in Version0.9.25 (SVN) 
Summary0011557: Couldn't load an PNG-Icon as Form-icon
DescriptionIf I try to load an PNG-Icon as icon for a TForm, it isn't loaded and Lazarus shows the message "Stream is not an Icon-type". It is also not possible to load/compile projects that contain a TForm.Icon.
TagsNo tags attached.
Fixed in Revision15636
LazTarget0.9.26
WidgetsetGTK, GTK 2
Attached Files

Relationships

related to 0034464 closedJuha Manninen Project Icon issue (unsupported formats) 

Activities

Paul Ishenin

2008-06-26 13:47

manager   ~0020370

You cannot use png as icon anymore. Only .ico is allowed. Later we'll add another icon type .icns

Another part should be fixed.

Paul Ishenin

2008-07-01 06:31

manager   ~0020473

Please test and close if ok.

Issue History

Date Modified Username Field Change
2008-06-26 13:31 Targion New Issue
2008-06-26 13:31 Targion Widgetset => GTK, GTK 2
2008-06-26 13:45 Paul Ishenin Status new => assigned
2008-06-26 13:45 Paul Ishenin Assigned To => Marc Weustink
2008-06-26 13:47 Paul Ishenin LazTarget => 0.9.26
2008-06-26 13:47 Paul Ishenin Note Added: 0020370
2008-07-01 06:31 Paul Ishenin Fixed in Revision => 15636
2008-07-01 06:31 Paul Ishenin Status assigned => resolved
2008-07-01 06:31 Paul Ishenin Fixed in Version => 0.9.25 (SVN)
2008-07-01 06:31 Paul Ishenin Resolution open => fixed
2008-07-01 06:31 Paul Ishenin Note Added: 0020473
2008-07-01 06:31 Paul Ishenin Target Version => 0.9.26
2009-06-13 12:07 Marc Weustink Status resolved => closed
2018-10-26 21:29 Juha Manninen Relationship added related to 0034464